package com.ym.mec.im.fallback;

import org.springframework.stereotype.Component;

import com.ym.mec.common.entity.ImGroupModel;
import com.ym.mec.common.entity.ImResult;
import com.ym.mec.common.entity.ImUserModel;
import com.ym.mec.im.ImFeignService;

import java.util.List;

@Component
public class ImFeignServiceFallback implements ImFeignService {
    @Override
    public ImResult register(ImUserModel userModel) {
    	
    	System.out.println("*******************");
        return null;
    }

    @Override
    public void update(ImUserModel userModel) {

    }

    @Override
    public Object groupCreate(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public void groupBatchCreate(List<ImGroupModel> groupModels) {

    }

    @Override
    public Object groupJoin(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupQuit(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupDismiss(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupBatchDismiss(List<ImGroupModel> groupModels) {
        return null;
    }

    @Override
    public Object groupBatchQuit(List<ImGroupModel> groupModels) {
        return null;
    }
}
